Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Interface ReferenceManager.RefreshListener

All Known Implementing Classes:
  LiveFieldValues

Enclosing class:
  ReferenceManager<G>

    public static interface ReferenceManager.RefreshListener

Use to receive notification when a refresh has finished. See `ReferenceManager.addListener(org.apache.lucene.search.ReferenceManager.RefreshListener)`.

Method Summary
`void` | `afterRefresh(boolean didRefresh)` Called after the attempted refresh; if the refresh did open a new reference then didRefresh will be true and `ReferenceManager.acquire()` is guaranteed to return the new reference.
`void` | `beforeRefresh()` Called right before a refresh attempt starts.

Method Detail

### beforeRefresh

    void beforeRefresh()
                       throws IOException

  Called right before a refresh attempt starts.

  Throws:
    `IOException`

### afterRefresh

    void afterRefresh(boolean didRefresh)
                      throws IOException

  Called after the attempted refresh; if the refresh did open a new reference then didRefresh will be true and `ReferenceManager.acquire()` is guaranteed to return the new reference.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.